Bug 198849 - security/gnupg: add CPE information
Summary: security/gnupg: add CPE information
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jun Kuriyama
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-03-23 19:40 UTC by shun
Modified: 2015-04-13 02:56 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (kuriyama)


Attachments
adding CPE information to Makefile (540 bytes, patch)
2015-03-23 19:40 UTC, shun
no flags Details | Diff
adding CPE information to Makefile (514 bytes, patch)
2015-03-27 21:03 UTC, shun
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description shun 2015-03-23 19:40:09 UTC
Created attachment 154730 [details]
adding CPE information to Makefile

security/gnupg has had vulnerabilities with a CPE identifier assigned (e.g. CVE-2013-4351). This patch adds CPE information as suggested in the FreeBSD wiki[0].

[0] https://wiki.freebsd.org/Ports/CPE
Comment 1 shun 2015-03-27 21:03:43 UTC
Created attachment 154891 [details]
adding CPE information to Makefile

fixed CPE vendor after consulting CPE dictionary again
Comment 2 Jun Kuriyama freebsd_committer 2015-04-13 02:56:08 UTC
Committed, thanks!
Comment 3 commit-hook freebsd_committer 2015-04-13 02:56:22 UTC
A commit references this bug:

Author: kuriyama
Date: Mon Apr 13 02:55:30 UTC 2015
New revision: 383891
URL: https://svnweb.freebsd.org/changeset/ports/383891

Log:
  - Add CPE information [1].
  - Fix accidentally linking devel/readline if installed [2].

  # I'm working on 2.1.3 update, but it requires LDAP header even if
  # disabled.  Stay tuned (or patches are welcome).

  PR:		ports/198849 [1], ports/198036 and ports/198354 [2]
  Submitted by:	shun.fbsd.pr@dropcut.net [1], amdmi3 and jf@fahrner.name [2]

Changes:
  head/security/gnupg/Makefile